using System;

internal sealed class Delegate798 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate798 delegate798_1)
	{
		return delegate798_1(object_0);
	}

	public extern Delegate798(object object_0, IntPtr intptr_0);

	static Delegate798()
	{
		Class10.smethod_13(typeof(Delegate798).TypeHandle);
	}

	internal static Delegate798 delegate798_0;
}
